<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Sáng Tối</title>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css" integrity="sha512-DTOQO9RWCH3ppGqcWaEA1BIZOC6xxalwEsw9c2QQeAIftl+Vegovlnee1c9QX4TctnWMn13TZye+giMm8e2LwA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
<style type="text/css">
.func-btn {
    font-size: 18px;
    color: var(--default-color);
    background: #f1f1f1;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    border-radius: 7px;
    cursor: pointer;
    transition: var(--koi-transition);
    margin-top: 5px;
    position: fixed;
    right: 15px;
    bottom: 160px;
    z-index: 999;
}

.func-btn a {
    color: var(--default-color);
    display: block;
    width: 38px;
    height: 38px;
    line-height: 38px;
}

.func-btn:hover {
    background: #ddd;
}
</style>
<?php if (isset($_COOKIE['dark']) && $_COOKIE['dark'] == 'yes') : ?>
<link id="dark-css" rel="stylesheet" href="css/dark.css" media="screen">
<?php endif; ?>
</head>
<body>
<div id="turn-light" class="func-btn"><i class="fas fa-moon" title="Chuyển sáng / tối"></i></div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script type="text/javascript">
function deleteCookie(name) {
    document.cookie = name + '=; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
}
        
function getCookie(cname) {
    var name = cname + '=';
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i].trim();
        if (c.indexOf(name) == 0) return c.substring(name.length, c.length);
    }
    return '';
}

function setCookie(cname, cvalue, exdays) {
    var d = new Date();
    d.setTime(d.getTime() + (exdays * 60 * 60 * 1000));
    var expires = 'expires=' + d.toGMTString();
    document.cookie = cname + '=' + cvalue + '; ' + expires + '; path=/';
}

function onlyUnique(value, index, self) {
    return self.indexOf(value) === index;
}

$(document).ready(function() {
    $('#turn-light').click(function() {
        if ($(this).find('i.fas').hasClass('fa-moon')) {
            $(this).find('i.fas').removeClass('fa-moon');
            $(this).find('i.fas').addClass('fa-lightbulb');
            $('head').append('<link id="dark-css" rel="stylesheet" href="css/dark.css" media="screen">');
            setCookie('dark', 'yes', 24 * 365);
        } else {
            $(this).find('i.fas').addClass('fa-moon');
            $(this).find('i.fas').removeClass('fa-lightbulb');
            $('#dark-css').remove();
            setCookie('dark', 'nah', 24 * 365);
        }
    });

    if (getCookie('dark') == 'yes') {
        if ($('#turn-light').find('i.fas').hasClass('fa-moon')) {
            $('#turn-light').find('i.fas').removeClass('fa-moon');
            $('#turn-light').find('i.fas').addClass('fa-lightbulb');
        }
        if ($('#dark-css').length <= 0) {
            $('head').append('<link id="dark-css" rel="stylesheet" href="css/dark.css" media="screen">');
        }
    }
});
</script>
</body>
</html>